gnutls_x509_crq_set_version(3)

NAME
gnutls_x509_crq_set_version - This function will set the Certificate request version

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_set_version(gnutls_x509_crq_t crq, unsigned int version);

ARGUMENTS

gnutls_x509_crq_t crq
    should contain a gnutls_x509_crq_t structure

unsigned int version
    holds the version number. For v1 Requests must be 1.

DESCRIPTION
This function will set the version of the certificate request. For version 1 requests this must be one.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.